Package org.apache.ignite.lang

## Interface IgnitePredicate<E>

Type Parameters:
  `E` - Type of predicate parameter.

All Superinterfaces:
  `Serializable`

All Known Subinterfaces:
  `CacheEntryPredicate`, `P1<E1>`, `PCE<K,​V>`, `PE`, `PlatformClusterNodeFilter`, `PlatformEventFilterListener`, `PN`

All Known Implementing Classes:
  `AlwaysFalsePredicate`, `AlwaysTruePredicate`, `AttributeNodeFilter`, `CacheConfiguration.IgniteAllNodesPredicate`, `CacheEntryHasPeekPredicate`, `CacheEntryPredicateAdapter`, `CacheEntryPredicateContainsValue`, `CacheEntryPredicateHasValue`, `CacheEntryPredicateNoValue`, `CacheEntrySerializablePredicate`, `ContainsNodeIdsPredicate`, `ContainsPredicate`, `EntryByKeyEvaluationPredicate`, `EqualsClusterNodeIdPredicate`, `EqualsUuidPredicate`, `GridNodePredicate`, `HasEqualIdPredicate`, `HasNotEqualIdPredicate`, `IgniteMarshallerClassFilter`, `IgnitePredicateX`, `IsAllPredicate`, `IsNotAllPredicate`, `IsNotNullPredicate`, `NotContainsPredicate`, `NotEqualPredicate`, `PlatformClusterNodeFilterImpl`, `PlatformEventFilterListenerImpl`, `PlatformLocalEventListener`, `PX1`, `SecurityAwarePredicate`, `SecurityCredentialsAttrFilterPredicate`

    public interface IgnitePredicate<E>
    extends Serializable

Defines a predicate which accepts a parameter and returns `true` or `false`.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `apply​(E e)` Predicate body.

### Method Detail

#### apply

    boolean apply​(E e)

Predicate body.

Parameters:
  `e` - Predicate parameter.
Returns:
  Return value.